2008-03-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/awt/vclxwindow.cxx: Fix compile warning.

2008-03-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* util/makefile.mk: Revert obsolete VERSION addition.

2008-03-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/controls/dialogcontrol.cxx,
	source/controls/unocontrol.cxx, source/helper/tkresmgr.cxx,
	util/defs/wntmsci11: Revert weird initial patch.

2008-03-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/layout/TODO: Doc update.

2008-03-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout-post.hxx, inc/layout/layout-pre.hxx,
	inc/layout/layout.hxx, source/awt/vclxbutton.cxx,
	source/vclcompat/wbutton.cxx, workben/layout/recover.xml: Implement
	MoreButton.  TODO: images.

2008-03-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/vclcompat/wbutton.cxx: Remove redraw cruft, rename
	redrawAlready to redraw.

2008-03-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout-post.hxx, source/vclcompat/wbutton.cxx: Step
	towards cleaner redraw.

2008-03-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout-post.hxx, inc/layout/layout-pre.hxx,
	inc/layout/layout.hxx, source/awt/vclxbutton.cxx,
	source/awt/vclxbutton.hxx, source/layout/helper.cxx,
	source/vclcompat/wbutton.cxx, workben/layout/recover.cxx,
	workben/layout/recover.hxx: Extract AdvancedButton implementation
	from recover.cxx into new widget.

2008-03-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/layout/recover.cxx, workben/layout/recover.hxx,
	workben/layout/recover.xml: Update recover dialog, make
	advanced/simple switching work.

2008-03-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/layout/zoom.cxx: In test mode, enable everything.

2008-03-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/layout/localize.sdf: Manually add new translatable strings
	and translations for de, nl.

2008-03-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/layout/zoom.xml: Update zoom to have hbox of Zoom factor
	and View layout alongside each other.

2008-03-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/layout/zoom.cxx, workben/layout/zoom.hxx,
	workben/layout/zoom.xml: Merge upstream's zoom.

2008-03-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/vclcompat/wbutton.cxx, source/vclcompat/wrapper.hxx: 
	Nitpick, debugging aid.

2008-03-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout.hxx, source/vclcompat/wrapper.cxx: Implement
	FixedLine.IsEnabled().

2008-03-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* util/makefile.mk: Build lib name fix.

2008-03-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout-post.hxx, inc/layout/layout-pre.hxx,
	inc/layout/layout.hxx, source/vclcompat/wcontainer.cxx,
	workben/layout/recover.cxx, workben/layout/recover.hxx,
	workben/layout/recover.xml: Complete VBox/HBox wrappers.  Not use
	them in recover, spacing still wrong.

2008-03-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/layout/TODO, workben/layout/recover.cxx,
	workben/layout/recover.hxx, workben/layout/recover.xml: More
	recovery dialog mockuping.

2008-03-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/layout/box-base.cxx: Implement visibility of
	elements/containers better.

2008-03-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout-post.hxx, inc/layout/layout-pre.hxx,
	inc/layout/layout.hxx, source/layout/helper.cxx,
	source/layout/import.cxx, source/layout/proplist.cxx,
	source/vclcompat/wbutton.cxx, source/vclcompat/wfield.cxx,
	source/vclcompat/wrapper.cxx, source/vclcompat/wrapper.hxx: 
	Implement FixedImage.  Needed for recovery dialog.

2008-02-28  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/layout/box-base.hxx, workben/layout/editor.cxx: Give
	ChildData virtual distructor.

2008-02-28  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout-post.hxx, inc/layout/layout-pre.hxx,
	inc/layout/layout.hxx, source/layout/helper.cxx,
	source/vclcompat/makefile.mk, source/vclcompat/wrapper.cxx,
	util/makefile.mk, workben/layout/makefile.mk,
	workben/layout/recover.cxx, workben/layout/recover.hxx,
	workben/layout/recover.xml, workben/layout/test.cxx: Stab at new
	recover dialog.

2008-02-28  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/layout/editor.cxx: Do not clear fresh container.  Disable
	debug printing.

2008-02-27  Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/layout/TODO, workben/layout/localize.sdf: Fix localize.sdf for
	wordcount.

2008-02-27  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout-pre.hxx, source/layout/dialogbuttonhbox.cxx: Fix
	ID for displaying dialogs.

2008-02-27  Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/layout/TODO, workben/layout/localize.sdf,
	workben/layout/wordcount.xml, workben/layout/zoom.xml: Add strings
	for all languages.

2008-02-27  Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/layout/TODO, source/awt/vclxsplitter.cxx,
	source/awt/vclxsplitter.hxx, source/awt/vclxtabcontrol.cxx,
	source/awt/vclxtabcontrol.hxx, source/layout/box-base.cxx,
	source/layout/box-base.hxx, source/layout/box.cxx,
	source/layout/box.hxx, source/layout/container.cxx,
	source/layout/dialogbuttonhbox.cxx,
	source/layout/dialogbuttonhbox.hxx, source/layout/factory.cxx,
	source/layout/flow.cxx, source/layout/helper.cxx,
	source/layout/import.hxx, source/layout/makefile.mk,
	source/layout/proplist.cxx, source/layout/root.cxx,
	source/layout/table.cxx, source/layout/table.hxx,
	source/layout/timer.cxx, source/vclcompat/wcontainer.cxx,
	source/vclcompat/wfield.cxx, source/vclcompat/wrapper.cxx: Clean-up
	code duplication from layout: new Box_Base class implements
	addChild, removeChild, getChildren, getChildProperties for Box,
	Table, VCLXSplitter, VCLXTabControl.

2008-02-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/layout/TODO, source/layout/root.cxx: Document more fixmes.

2008-02-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/layout/TODO, source/layout/proplist.cxx: Remove m237
	workaround.

2008-02-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/layout/helper.cxx: More comment cleanups.

2008-02-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/awt/vclxtabcontrol.cxx, source/layout/box.cxx,
	source/layout/container.cxx, source/vclcompat/wrapper.cxx: 
	Commented-out code cleanups.

2008-02-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout-post.hxx, inc/layout/layout-pre.hxx,
	inc/layout/layout.hxx, inc/layout/layoutcore.hxx,
	source/awt/forward.hxx, source/awt/vclxbutton.cxx,
	source/awt/vclxbutton.hxx, source/awt/vclxdialog.cxx,
	source/awt/vclxdialog.hxx, source/awt/vclxfixedline.cxx,
	source/awt/vclxfixedline.hxx, source/awt/vclxscroller.cxx,
	source/awt/vclxscroller.hxx, source/awt/vclxsplitter.cxx,
	source/awt/vclxsplitter.hxx, source/awt/vclxtabcontrol.cxx,
	source/awt/vclxtabcontrol.hxx, source/layout/bin.cxx,
	source/layout/bin.hxx, source/layout/box.cxx,
	source/layout/box.hxx, source/layout/container.cxx,
	source/layout/container.hxx, source/layout/dialogbuttonhbox.cxx,
	source/layout/dialogbuttonhbox.hxx, source/layout/factory.cxx,
	source/layout/factory.hxx, source/layout/flow.cxx,
	source/layout/flow.hxx, source/layout/helper.cxx,
	source/layout/helper.hxx, source/layout/import.cxx,
	source/layout/import.hxx, source/layout/makefile.mk,
	source/layout/precompiled_xmlscript.hxx,
	source/layout/proplist.cxx, source/layout/proplist.hxx,
	source/layout/root.cxx, source/layout/root.hxx,
	source/layout/table.cxx, source/layout/table.hxx,
	source/layout/timer.cxx, source/layout/timer.hxx,
	source/layout/translate.cxx, source/layout/translate.hxx,
	source/vclcompat/makefile.mk, source/vclcompat/wbutton.cxx,
	source/vclcompat/wcontainer.cxx, source/vclcompat/wfield.cxx,
	source/vclcompat/wrapper.cxx, source/vclcompat/wrapper.hxx,
	workben/layout/editor.cxx, workben/layout/editor.hxx,
	workben/layout/makefile.mk, workben/layout/simple-paragraph.cxx,
	workben/layout/simple-paragraph.hxx, workben/layout/test.cxx,
	workben/layout/uno.hxx, workben/layout/zoom_def.hxx: Add licence
	headers.

2008-02-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/layout/meekfile.mk: Junk meekfile.mk

2008-02-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/layout/TODO: Update TODO.

2008-02-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/toolkit/awt/vclxwindows.hxx, source/awt/vclxwindow.cxx,
	source/awt/vclxwindows.cxx: Move VCLXScrollBar's getMinimumSize()
	from VCLXWindow's switch to method.

2008-02-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/toolkit/awt/vclxwindows.hxx, source/awt/vclxwindow.cxx,
	source/awt/vclxwindows.cxx: Move VCLXMessageBox's getMinimumSize()
	from VCLXWindow's switch to method.

2008-02-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/layout/TODO, inc/toolkit/awt/vclxtopwindow.hxx,
	source/awt/vclxdialog.cxx, source/awt/vclxdialog.hxx,
	source/awt/vclxtopwindow.cxx: Remove code duplication from
	VCLXDialog.

2008-02-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/awt/vclxdialog.cxx, source/vclcompat/wbutton.cxx,
	source/vclcompat/wcontainer.cxx, source/vclcompat/wrapper.hxx: 
	Comment cleanup.

2008-02-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/layout/TODO, source/layout/helper.hxx,
	workben/layout/editor.cxx, workben/layout/wordcountdialog.cxx: Fix
	remaining SUN warnings.

2008-02-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout.hxx, source/awt/vclxfixedline.hxx,
	source/layout/byteseq.cxx, source/layout/helper.hxx,
	source/layout/import.cxx, source/layout/makefile.mk,
	source/layout/proplist.cxx, source/layout/translate.hxx,
	source/vclcompat/wbutton.cxx, source/vclcompat/wcontainer.cxx,
	source/vclcompat/wfield.cxx, source/vclcompat/wrapper.cxx,
	source/vclcompat/wrapper.hxx, workben/layout/editor.cxx: Fix some
	sunstudio12 warnings.

2008-02-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/layout/TODO, source/awt/makefile.mk,
	source/awt/vclxbutton.cxx, source/awt/vclxbutton.hxx,
	source/awt/vclxproxy.cxx, source/awt/vclxproxy.hxx,
	source/layout/helper.cxx: Junk VCLXProxy.

2008-02-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/toolkit/awt/vclxwindows.hxx,
	inc/toolkit/helper/listenermultiplexer.hxx,
	source/awt/vclxbutton.cxx, source/awt/vclxbutton.hxx,
	source/awt/vclxtabcontrol.cxx, source/awt/vclxtabcontrol.hxx,
	source/layout/helper.cxx: Hello world on AWTVCLXCancelButton() label
	and images.

2008-02-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* .gitignore, source/awt/forward.hxx, source/awt/makefile.mk,
	source/awt/vclxdialog.cxx, source/awt/vclxdialog.hxx,
	source/awt/vclxfixedline.cxx, source/awt/vclxfixedline.hxx,
	source/awt/vclxscroller.cxx, source/awt/vclxscroller.hxx,
	source/awt/vclxsplitter.cxx, source/awt/vclxsplitter.hxx,
	source/awt/vclxtabcontrol.cxx, source/awt/vclxtabcontrol.hxx,
	source/layout/makefile.mk, workben/layout/localize-de.sdf,
	workben/layout/localize-nl.sdf: Cleanup of includes, namespace in
	headers in awt.

2008-02-11  Jan Nieuwenhuizen <janneke@gnu.org>

	* prj/build.lst: Have workspace depend on util, fixes parallel build
	(thanks kendy, Fridrich).

2008-02-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/ooo-patch: Update ooo-patch.

2008-02-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/ooo-patch: Add transex3 to ooo-patch.

2008-02-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, workben/ooo-patch: Add transex3 to ooo-patch & update.

2008-02-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, workben/ooo-patch: Add transex3 patch export.

2008-02-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/de/wordcount.xml, workben/de/zoom.xml,
	workben/nl/wordcount.xml, workben/nl/zoom.xml: Remove
	hand-translated xml files.

2008-02-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, source/core/proplist.cxx: Grok translatable attributes with
	_ prefix.

2008-02-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Add en-US,de,nl populated localize.sdf for zoom and wordcount.

2008-02-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/makefile.mk: Add compile time tralay translation rule.

2008-02-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/de/wordcount.xml, workben/de/zoom.xml,
	workben/nl/wordcount.xml, workben/nl/zoom.xml,
	workben/wordcount.xml, workben/zoom.xml: Prefix translatable
	attributes with _.

2008-02-04  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, source/core/import.cxx, source/core/import.hxx,
	source/core/proplist.cxx, source/core/proplist.hxx,
	source/core/root.cxx, source/core/root.hxx, workben/zoom-1.xml,
	workben/zoom-2.xml: Support Ivo Hinkelmann's move label/text/title
	attribute to CONTENT transex3 hack.

2008-01-10  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/nl/zoom.xml, workben/zoom.xml: Remove unnecessary ~.

2008-01-10  Jan Nieuwenhuizen <janneke@gnu.org>

	* prj/d.lst, workben/de/wordcount.xml, workben/de/zoom.xml,
	workben/makefile.mk: Add manually translated de/zoom.xml and
	de/wordcount.xml.

2008-01-10  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, workben/ooo-patch: Update patch info.

2008-01-10  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/translate.cxx: Remove #if 0'ed fopen code in
	fileExists.

2008-01-10  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/test.cxx: Remove test code.

2008-01-10  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, prj/d.lst, workben/makefile.mk, workben/ooo-patch: Install
	nl/*xml files.

2008-01-10  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, source/core/makefile.mk, source/core/root.cxx,
	source/core/translate.cxx, source/core/translate.hxx,
	workben/nl/wordcount.xml, workben/nl/zoom.xml, workben/test.cxx: 
	Implement read-right translation, cheat nl translations for zoom and
	wordcount.

2008-01-09  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/makefile.mk: Check for ENABLE_LAYOUT == "TRUE" (was: !=
	"").  Disables harder, esp. on Sun.

2008-01-09  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Add comment about Sun build problems.

2008-01-09  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/makefile.mk: [!ENABLE_LAYOUT]: Do not compile anything in
	workben.  Also remove unnecessary not portable compiler flags.

2008-01-09  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Put gcc flags inside GCC conditional.

2008-01-08  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/awt/vclxbutton.cxx: Use plain sc_BUTTON.png names for
	standard buttons.

2008-01-08  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.cxx: Remove zoom.src part from zoom-combobox patch.

2008-01-08  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, workben/ooo-patch: Update to m1.

2008-01-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, workben/ooo-patch: Update and add i18n TODO.

2008-01-04  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, source/awt/vclxbutton.cxx: Fix l10n for default buttons.

2007-12-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, workben/ooo-patch: Update for ooo-build svn up.

2007-12-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/dialogbuttonhbox.cxx, source/core/helper.cxx,
	source/core/proplist.cxx, util/makefile.pmk, workben/makefile.mk: 
	TEST_LAYOUT cleanups and fixes.

2007-12-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* : [!TEST_LAYOUT]: Read *.xml from BASE_INSTALLATION/share/layout
	only.

2007-12-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/wrapper/wrapper.cxx: Cleanups.

2007-12-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.xml: Update zoom.xml: in m241 FieldTypes:FUNIT_CUSTOM
	== 13 (was: 11).

2007-12-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/dialogbuttons-ok.xml, workben/dialogbuttons-reset.xml,
	workben/dialogbuttons-save.xml, workben/dialogbuttons-yes.xml: 
	Remove some cruft from xml.

2007-12-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/box.cxx, source/core/box.hxx,
	source/core/container.cxx, source/core/dialogbuttonhbox.cxx,
	source/core/dialogbuttonhbox.hxx, workben/shutdown.xml: Allow other
	pushbuttons in dialogbuttonhbox too, sort as Action type.

2007-12-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/ooo-patch: Add ooo-patch: facilitate export to ooo-build.

2007-12-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, source/core/box.cxx, source/core/container.cxx,
	workben/adjust.xml, workben/align.xml, workben/wordcount-tight.xml,
	workben/wordcount.xml, workben/zoom-indent.xml, workben/zoom.xml: 
	Default to border=0, padding=0.  Clean xml files.

2007-12-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, inc/layout/layout.hxx, source/awt/vclxbutton.cxx,
	source/awt/vclxbutton.hxx, source/awt/vclxdialog.cxx,
	source/core/dialogbuttonhbox.cxx, source/core/dialogbuttonhbox.hxx,
	source/wrapper/wbutton.cxx, source/wrapper/wcontainer.cxx,
	workben/dialogbuttons-ok.xml, workben/dialogbuttons-reset.xml,
	workben/dialogbuttons-save.xml, workben/dialogbuttons-yes.xml,
	workben/dialogbuttons.xml, workben/editor.cxx, workben/makefile.mk: 
	Implement more buttons: Yes, No, Retry, Ignore, Reset, Apply.

2007-12-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-12-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/editor.cxx, workben/test.cxx: More whitespace nits.

2007-12-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/box.hxx, source/core/dialogbuttonhbox.cxx,
	source/core/dialogbuttonhbox.hxx: Refactor dialogbuttonhbox.

2007-12-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* apinotes.txt, doc/apinotes.txt, doc/notes.txt, notes.txt: Move
	documentation to doc/.

2007-12-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/table.cxx, workben/editor.cxx, workben/test.cxx,
	workben/uno.hxx: More whitespace fixes.

2007-12-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/dialogbuttonhbox.cxx: Comments and whitespace fixes.

2007-12-18  Jan Nieuwenhuizen <janneke@gnu.org>

	* README, TODO, source/awt/vclxbutton.hxx, source/core/box.hxx,
	source/core/dialogbuttonhbox.cxx, source/core/dialogbuttonhbox.hxx,
	source/core/helper.cxx, source/core/import.cxx,
	source/core/makefile.mk, source/core/proplist.cxx,
	workben/dialogbuttons.xml, workben/wordcount.xml, workben/zoom.xml: 
	Implement dialog button ordering.

2007-12-18  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/awt/vclxbutton.hxx, source/core/box.hxx,
	source/core/helper.cxx, source/core/makefile.mk,
	source/wrapper/wrapper.hxx, workben/editor.cxx, workben/test.cxx,
	workben/zoom.xml: First attempt at AlertHBox.

2007-12-17  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-12-17  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Merge lilypond.org:vc/layout.git/

2007-12-17  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout.hxx, source/wrapper/wrapper.cxx: Implement
	Dialog::SetParent, add Dialog (::Window *) constructor.

2007-12-17  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Merge lilypond.org:vc/layout.git/

2007-12-17  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Bugfix: update install inc/layout/*.

2007-12-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Apply Michael's TODO patch.

2007-12-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/helper.cxx, source/core/helper.hxx,
	source/core/proplist.cxx, source/core/proplist.hxx: Move
	OUSTRING_CSTR define and debugging compile fix & feature.

2007-12-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/timer.cxx: Remove commented-out include.

2007-11-28  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/editor.cxx, workben/uno.hxx: Add includes for m9.

2007-11-28  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Major cleanup of includes and header namespace pollution.

2007-11-28  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, inc/layout/layout-post.hxx, inc/layout/layout.hxx,
	source/api/com/sun/star/awt/MaxChildrenException.idl,
	source/api/com/sun/star/awt/XDialog2.idl,
	source/api/com/sun/star/awt/XLayoutFlow.idl,
	source/api/com/sun/star/awt/XLayoutFlowContainer.idl,
	source/api/com/sun/star/awt/XLayoutRoot.idl,
	source/awt/vclxbutton.cxx, source/awt/vclxbutton.hxx,
	source/awt/vclxdialog.cxx, source/awt/vclxdialog.hxx,
	source/awt/vclxfixedline.cxx, source/awt/vclxfixedline.hxx,
	source/awt/vclxproxy.cxx, source/awt/vclxproxy.hxx,
	source/awt/vclxscroller.cxx, source/awt/vclxscroller.hxx,
	source/awt/vclxsplitter.cxx, source/awt/vclxsplitter.hxx,
	source/awt/vclxtabcontrol.cxx, source/awt/vclxtabcontrol.hxx,
	source/core/bin.cxx, source/core/bin.hxx, source/core/box.cxx,
	source/core/box.hxx, source/core/byteseq.cxx,
	source/core/container.cxx, source/core/container.hxx,
	source/core/factory.cxx, source/core/factory.hxx,
	source/core/flow.cxx, source/core/flow.hxx,
	source/core/globals.hxx, source/core/helper.cxx,
	source/core/helper.hxx, source/core/import.cxx,
	source/core/import.hxx, source/core/root.cxx, source/core/root.hxx,
	source/core/table.cxx, source/core/table.hxx,
	source/core/timeout.cxx, source/inc/layoutcore.hxx,
	source/wrapper/wbutton.cxx, source/wrapper/wcontainer.cxx,
	source/wrapper/wfield.cxx, source/wrapper/wimpl.hxx,
	source/wrapper/wrapper.cxx: Whitespace and layout cleanups.

2007-11-28  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/awt/vclxdialog.hxx, source/core/byteseq.cxx,
	source/core/import.hxx, source/core/root.cxx,
	source/wrapper/wfield.cxx, source/wrapper/wimpl.hxx,
	source/wrapper/wrapper.cxx: Cleanup: have braces on separate lines.

2007-11-28  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/uno.hxx, workben/uno.hxx: Move uno.hxx to workben, no
	need to export it.

2007-11-28  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/uno.hxx, source/awt/vclxbutton.cxx,
	source/awt/vclxdialog.cxx, source/awt/vclxfixedline.cxx,
	source/awt/vclxproxy.cxx, source/awt/vclxscroller.cxx,
	source/awt/vclxsplitter.cxx, source/awt/vclxtabcontrol.cxx,
	source/core/bin.cxx, source/core/box.cxx, source/core/byteseq.cxx,
	source/core/container.cxx, source/core/container.hxx,
	source/core/flow.cxx, source/core/globals.hxx,
	source/core/helper.cxx, source/core/import.cxx,
	source/core/import.hxx, source/core/root.cxx,
	source/core/table.cxx, source/core/timeout.cxx,
	source/wrapper/wbutton.cxx, source/wrapper/wcontainer.cxx,
	source/wrapper/wfield.cxx, source/wrapper/wimpl.hxx,
	source/wrapper/wrapper.cxx: Use DBG_ERROR* instead of printing to
	console.

2007-11-28  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/box.cxx, source/core/container.cxx,
	source/core/container.hxx, source/core/helper.cxx,
	source/core/import.cxx, source/core/table.cxx: Use DBG_ERROR instead
	of printf for errors.

2007-11-28  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, prj/build.lst: Fix dependency/concurrent make problem.

2007-11-27  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcountdialog.cxx: Update wordcountdialog.cxx from sw
	tree.

2007-11-27  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Move postprocessing to src2xml.

2007-11-27  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Move src2xml postprocessing from run-s2x to src2xml.py.

2007-11-27  Jan Nieuwenhuizen <janneke@gnu.org>

	* src2xml/source/globals.py: src2xml: write progress to stderr,
	allows progress while using stdout output.

2007-11-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-11-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* prj/build.lst, prj/d.lst, workben/makefile.mk: Install xml files
	too.  Thanks Fridrich!

2007-11-23  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-11-23  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Put Ok/Help buttons in homogenous hbox.

2007-11-23  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Add extra hbox/vbox pairs to reduce cnt:padding duplication.

2007-11-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* : More layout-pre.hxx cpp hacks to make zoom and wordcount diffs
	smaller.

2007-11-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/makefile.mk, workben/un-test.sh: Add un-test.sh to remove
	TEST_LAYOUT code and dist into OO.o.

2007-11-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.cxx: Remove misguided NON_LAYOUT_COMPILE_FIXES and
	whitespace nits.

2007-11-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/makefile.mk, workben/pytt, workben/run-s2x,
	workben/un-test.sh, workben/zoom.cxx: Add un-test.sh script and dist
	target to `distribute' dialog code to OO.o.

2007-11-21  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, inc/layout/layout-post.hxx, inc/layout/layout-pre.hxx,
	inc/layout/layout.hxx, source/awt/makefile.mk,
	source/core/makefile.mk, source/wrapper/makefile.mk,
	workben/makefile.mk, workben/wordcountdialog.cxx,
	workben/wordcountdialog.hxx, workben/zoom.cxx, workben/zoom.hxx: 
	Rename USE_LAYOUT -> ENABLE_LAYOUT.  Make zoom, wordcount diffs bits
	smaller.

2007-11-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Add <layout/layout-pre.hxx> <layout/layout-post.hxx> cpp
	hacking.

2007-11-20  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/run-s2x: Remove all geometry attributes.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/helper.cxx: Disable "fixedinfo" workaround.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcount.xml: Remove misguided "fixedinfo" from
	wordcount.xml.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* .gitignore: Ingore pyc files.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcount-plain.xml, workben/wordcount-tight.xml,
	workben/zoom-plain.xml: Add plain postprocessed output from src2xml.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Comment-out #include statements from .src files.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.cxx, workben/zoom.xml: Use stringize to make zoom.cxx
	diff smaller.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcount.xml, workben/wordcountdialog.cxx: Use stringize
	to make wordcount diff smaller.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/test.cxx: Fix standalone .xml loading for test.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, workben/run-s2x: Add run-s2x: make .xml from src2xml
	compilable for zoom, wordcount.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, source/core/helper.cxx: Small fixedline doco fix.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcount.xml, workben/wordcountdialog.hxx: Use
	"fixedinfo" rather than "fixedtext" in wordcountdialog.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Use "fixedtext" to when asked to create "fixedinfo".

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout.hxx, source/wrapper/wrapper.cxx: Implement
	FixedInfo.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* cenarios, source/awt/vclxdialog.cxx, source/core/root.cxx,
	source/wrapper/wimpl.hxx, source/wrapper/wrapper.cxx: Cleanups.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/uno.hxx, source/core/factory.cxx,
	source/core/makefile.mk, source/core/root.cxx,
	source/core/root.hxx, source/wrapper/makefile.mk,
	source/wrapper/wrapper.cxx, workben/makefile.mk: Remove
	[!LAYOUT_FACTORY] branch.

2007-11-19  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/Documento por Gravar 1: Remove Documento por Gravar 1.

2007-11-16  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.xml: Tweak.

2007-11-16  Jan Nieuwenhuizen <janneke@gnu.org>

	* : [LAYOUT_FACTORY]: Add LayoutFactory and register that for Layout
	Serviceinfo instead of LayoutRoot.

2007-11-16  Jan Nieuwenhuizen <janneke@gnu.org>

	* README: Update README.

2007-11-16  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Also grok TypeClass_ENUM.  Set unit=11 (custom) on zoom
	metricfield.

2007-11-16  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcountdialog.cxx: Typo in workben/wordcountdialog.
	Fixes Document word count display.

2007-11-15  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-11-15  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcount.xml, workben/wordcountdialog.cxx,
	workben/wordcountdialog.xml: Rename wordcountdialog.xml to
	wordcount.xml, compile fixes from sw/...

2007-11-15  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/import.cxx, source/core/import.hxx: Indentation fixes.
	Move ~ElementBase destructor to cxx file.

2007-11-15  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/test.cxx: Bugfix for test default --test argument.

2007-11-15  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcountdialog.xml: Wordcountdialog default text tweak.

2007-11-15  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/root.cxx, source/core/root.hxx,
	source/wrapper/wrapper.cxx: Remove LAYOUT_WEAK and other hackerish
	feeble attempts at second init bug.

2007-11-15  Jan Nieuwenhuizen <janneke@gnu.org>

	* : More attempts at tackling second init bug.

2007-11-15  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Lost of handwaving to try to destroy LayoutRoot.

2007-11-15  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/import.hxx: Add destructor for WidgetElement.

2007-11-15  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Fix indentation of import.cxx.

2007-11-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO, workben/zoom-margin.xml, workben/zoom.xml: Tweak zoom
	dialog.  Add zoom-margin.xml.

2007-11-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcountdialog.xml: Tweak wordcountdialog till it looks
	nice.

2007-11-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcountdialog.cxx: Typo.

2007-11-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcountdialog.xml: Import workben/wordcountdialog.xml
	straight from src2xml.

2007-11-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* : src2xml/source/src2xml.py: also grok -I option, do not print
	progress.

2007-11-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.xml: Use modaldialog for zoom.xml.

2007-11-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcountdialog.xml, workben/zoom_def.hxx: Oops, add
	zoom_def.hxx and wordcountdialog.xml.

2007-11-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/test.cxx: Refactor test program, also run wordcountdialog.

2007-11-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/test.cxx: Prune unused headers.

2007-11-14  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.cxx, workben/zoom.hxx: Make zoom diff even smaller,
	import from svx.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/makefile.mk, workben/wordcountdialog.cxx,
	workben/wordcountdialog.hxx: Make wordcountdialog compilable under
	test and add to makefile.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/wordcountdialog.cxx, workben/wordcountdialog.hxx: Import
	wordcountdialog.cxx, wordcountdialog.hxx.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout.hxx, inc/layout/uno.hxx,
	source/awt/globals.hxx, source/awt/vclxdialog.cxx,
	source/awt/vclxdialog.hxx, source/awt/vclxfixedline.cxx,
	source/awt/vclxfixedline.hxx, source/awt/vclxproxy.cxx,
	source/awt/vclxscroller.cxx, source/awt/vclxscroller.hxx,
	source/awt/vclxsplitter.cxx, source/awt/vclxsplitter.hxx,
	source/awt/vclxtabcontrol.cxx, source/awt/vclxtabcontrol.hxx,
	source/core/bin.cxx, source/core/bin.hxx, source/core/box.cxx,
	source/core/box.hxx, source/core/byteseq.cxx,
	source/core/container.cxx, source/core/container.hxx,
	source/core/factory.cxx, source/core/flow.cxx,
	source/core/flow.hxx, source/core/globals.hxx,
	source/core/helper.cxx, source/core/helper.hxx,
	source/core/import.cxx, source/core/import.hxx,
	source/core/root.cxx, source/core/root.hxx, source/core/table.cxx,
	source/core/table.hxx, source/core/timeout.cxx,
	source/core/timeout.hxx, source/inc/layoutcore.hxx,
	source/wrapper/wbutton.cxx, source/wrapper/wcontainer.cxx,
	source/wrapper/wfield.cxx, source/wrapper/wrapper.cxx,
	workben/editor.cxx, workben/editor.hxx, workben/paragraph.cxx,
	workben/paragraph.hxx, workben/simple-paragraph.cxx,
	workben/simple-paragraph.hxx, workben/test.cxx: Replace TAB -> 4
	spaces.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/helper.cxx, source/wrapper/wbutton.cxx,
	source/wrapper/wimpl.hxx, source/wrapper/wrapper.cxx: Add debug
	printing, ~ContextImpl.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.xml: Add space in custom-unit-text.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Remove core/dialog.hxx, core/dialog.cxx.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/wrapper/wbutton.cxx: Make RadioButton hack more complete:
	remove buttons from RadioButtonGroup too.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/wrapper/wimpl.hxx: Make WindowImpl hierarchy virtual from
	top.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.xml: Add Id for FixedLine.  Fixes warning.

2007-11-13  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.cxx: Fix comment.  Import from svx.

2007-11-12  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Replace XDialog2, VCXDialog, Dialog Cancel/Help/Ok by EndDialog
	( BUTTONID_* )

2007-11-12  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Actually return the result of a dialog.

2007-11-12  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.cxx, workben/zoom.hxx: Update zoom code from svx
	module with TEST_LAYOUT switches.

2007-11-12  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/makefile.mk: Also set -DTEST_LAYOUT in makefile.

2007-11-12  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/wrapper/wbutton.cxx: Workaround for radiobutton-unset
	inside OOo.

2007-11-09  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/test.cxx: Add comment about using WeakImplHelper1 for
	standalone run.

2007-11-09  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/uno.hxx: Compile fix for using WeakImplHelper1 in
	UnoBootstrapLayout.

2007-11-09  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Rename UnoBootstrapSucks to UnoBootstrapLayout and move to
	uno.hxx header.

2007-11-09  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Rename #define LAYOUT to USE_LAYOUT.

2007-11-08  Jan Nieuwenhuizen <janneke@gnu.org>

	* : In-tree compile fixes for -DLAYOUT=1.

2007-11-08  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.hxx: Make diff with svx/source/dialog/zoom.hxx
	minimal.

2007-11-08  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Add FixedLine member to SvxZoomDialog.

2007-11-08  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout.hxx, workben/editor.cxx: Do not set namespace in
	header.

2007-11-08  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Make diff for zoom.cxx with svx/source/dialog/zoom.cxx minimal.

2007-11-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-11-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/wrapper/wbutton.cxx: Use #if 0 rather than #if 1 and add
	comment, easier to catch.

2007-11-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/awt/vclxdialog.cxx: Use BUTTONID_CANCEL, BUTTONID_OK from
	msgbox.hxx rather than ERRCODE.

2007-11-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.cxx: Remove debugging code.

2007-11-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout.hxx, source/api/com/sun/star/awt/XDialog2.idl,
	source/awt/vclxdialog.cxx, source/awt/vclxdialog.hxx,
	source/wrapper/wbutton.cxx, source/wrapper/wrapper.cxx: Implement Ok
	and Help alongside Cancel in XDialog2, VCLXDialog, OKButton.

2007-11-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Add workben/paragraph.*

2007-11-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Use 'has_border' instead of 'border' for awt attributes.  Also
	put back fullsize, optimumsize, show properties.

2007-11-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/core/box.cxx: Spacing nits.

2007-11-07  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Add Ricardo's suggestion for actual dialog.

2007-11-05  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Make Window (top of layout hierarchy) virtual.

2007-11-05  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Tweaks to zoom dialog.

2007-11-05  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/wrapper/wbutton.cxx: Remove debugging code and add explicit
	casts for mpWindow in callbacks.

2007-10-31  Michael Meeks <michael@t60p.(none)>

	* source/wrapper/wbutton.cxx: raw mpWindow static casting fix

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Add Kohei's converter under src2xml.

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* .gitignore: Ignore more.

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/wrapper/wbutton.cxx: Only print debugging if pointers are
	wrong.

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* workben/zoom.cxx: Debug print.

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/api/makefile.mk, source/awt/makefile.mk,
	source/core/makefile.mk, source/wrapper/makefile.mk,
	util/makefile.mk, workben/makefile.mk: Unification of .mk files.

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Add mpWindow != &OKbutton debug code and crude fix.

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Revert "Revert introduction of XDialog2."

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/api/makefile.mk, source/awt/vclxdialog.hxx,
	source/core/dialog.cxx, source/core/dialog.hxx,
	source/core/globals.hxx, source/core/import.cxx,
	source/core/import.hxx, source/core/makefile.mk,
	source/wrapper/wrapper.cxx, workben/test.cxx: Revert introduction of
	XDialog2.

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/wrapper/wbutton.cxx: Revert
	338f4229e321fa79ab3564504d1546e5010c0b0b.

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/api/com/sun/star/awt/XDialog2.idl: Spacing nit.

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Revert "Add GetImplementation to VCLXProxy."

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Revert "Add Click and LINK (Click) to IconButton."

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Update TODO.

2007-10-30  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Implement non-dummy HelpButton.

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Oops, add XDialog2 to archive.

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Implement cancel in vclxdialog.

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Implement default callback to ButtonImpl using XButton.

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Revert "Set click handler in Button instead of ButtonImpl, add
	debug printing."

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Revert "Attempt at using DialogImpl to hold button Click
	handler."

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Revert "Pass a Button instead of ButtonImpl to default click
	handler."

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Revert "Use Dialog as the Click link handler."

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout.hxx, source/wrapper/wbutton.cxx: Use Dialog as
	the Click link handler.

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Pass a Button instead of ButtonImpl to default click handler.

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Attempt at using DialogImpl to hold button Click handler.

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Set click handler in Button instead of ButtonImpl, add debug
	printing.

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/wrapper/wbutton.cxx: Add non-dummy implementation of
	CancelButtonImpl.

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/awt/vclxdialog.cxx: Add comment about XDialog2::cancel's
	pure virtualness.

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/wrapper/wrapper.cxx: Add debug print to
	layout::Dialog::Cancel.

2007-10-29  Jan Nieuwenhuizen <janneke@gnu.org>

	* : if(0)'ed code that sets default handler for ButtonImpl.

2007-10-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/awt/vclxbutton.cxx, source/awt/vclxbutton.hxx: Add Click
	and LINK (Click) to IconButton.

2007-10-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* source/awt/vclxproxy.cxx, source/awt/vclxproxy.hxx: Add
	GetImplementation to VCLXProxy.

2007-10-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* inc/layout/layout.hxx, source/api/makefile.mk,
	source/awt/vclxdialog.cxx, source/awt/vclxdialog.hxx,
	source/core/dialog.cxx, source/core/dialog.hxx,
	source/core/globals.hxx, source/core/import.cxx,
	source/core/import.hxx, source/core/makefile.mk,
	source/wrapper/wrapper.cxx, workben/test.cxx: Add XDialog2 with
	dummy Cancel interface. Use it instead of XDialog.

2007-10-26  Jan Nieuwenhuizen <janneke@gnu.org>

	* TODO: Add Michael's bug list, with progress.

2007-10-25  Jan Nieuwenhuizen <janneke@gnu.org>

	* : Silence non-virtual-destructor warnings the proper way.

2007-10-24  Jan Nieuwenhuizen <janneke@gnu.org>

	* ChangeLog: Put marker in ChangeLog to say it's discontinued.
